function [MaskCorrection, MaskCorrectionIntegrated] = Mask(TRANSMAT,mask,threshold,Radius,Azi,UseGPU)
    %% NANCORRECTIONS/MASKCORRECTIONS (version 2):
    % This NaN-correction should simply be multiplied on the
    % unfolded image.
    % Use of nested function here:
    % MASK IS HERE THE NUMBER OF MASKED OUT PIXELS (i.e. NOT INCLUDED PIXELS)
    
    % Make a transformation matrix for unfolding/integration of ones.  
    %TRANSMAT = sparse(binIndices,pixIndices,1,Radius.N*Azi.N,numel(mask));
    %TRANSMAT(TRANSMAT ~= 0) = 1;
    UnfoldMask = reshape(TRANSMAT*double(~mask(:)),[Radius.N, Azi.N]);

    IM = ones(size(mask(:)));
    UnfoldOnes = reshape(TRANSMAT*IM,[Radius.N, Azi.N]);
    ratio = UnfoldMask./UnfoldOnes;
    removeThese = ratio > threshold;
    
    MaskCorrectionIntegrated = UnfoldOnes./(UnfoldOnes-UnfoldMask);
    MaskCorrectionIntegrated(removeThese) = NaN;
    
    % Find i-indices (bin-indices), and adjust weights of pixels into
        % the bins.
        [QB,QP,~] = find(TRANSMAT);
       
        v = MaskCorrectionIntegrated(QB);
        %mask = gpuArray(mask);
        if UseGPU
            MaskCorrection = gather(MatFRAIA.subfunctions.sparseInSteps(QB,QP,v,[Radius.N*Azi.N,numel(mask)],4,true));
        else
            MaskCorrection = MatFRAIA.subfunctions.sparseInSteps(QB,QP,v,[Radius.N*Azi.N,numel(mask)],4,false);
            
        end
        %MaskCorrection = sparse(QB,QP,v, Radius.N*Azi.N,numel(mask));
        MaskCorrection = MaskCorrection.*double(reshape(mask,[1,numel(mask)]));
%         nnz(isnan(MaskCorrection))
%         nnz(isnan(MaskCorrection.*(double(mask(:).'))))
%         nnz((MaskCorrection))
%         nnz((MaskCorrection.*(double(mask(:).'))))
%         figure; imagesc(reshape(sum((MaskCorrection.*(double(mask(:).'))),1),[1475 1679]))
%         figure; imagesc(reshape(sum(MaskCorrection,1),[1475 1679]))
    %% PROOF:
    %{
                figure;plot(UnfoldMask); title('Masked out (removed) number of pixels in bin')
                figure;plot(UnfoldOnes); title('Total number of pixels in bin')
                unfMask = NESTEDUNFOLDING_MASK(double(mask(:)),UnfVectorSparse,Radius.N,Azi.N);
                figure;plot(unfMask); title({'Unfolded corrected mask','Corrected number of pixels in bin'})
                figure;plot(UnfoldOnes./unfMask); title({'Unfolded NO. pixels in bin / Unfolded corrected mask','Number of (corrected) pixels in bin'})
    %}
end
