function SACorrection = SolidAngle(IMdimensions,scaling,EX,doTiltCorrection)
    idxRowsYEdges = linspace(0,IMdimensions(1),IMdimensions(1)*scaling + 1)-EX.center.y;
    idxColsXEdges = linspace(0,IMdimensions(2),IMdimensions(2)*scaling + 1)-EX.center.x;
    [xEdges,yEdges] = meshgrid(idxColsXEdges,idxRowsYEdges);
    
    samp2det = EX.detector.distance/EX.pix.size;
    if doTiltCorrection
        [xEdges, yEdges] = MatFRAIA.corrections.Tilt(xEdges, yEdges, EX.tilt.axis, EX.tilt.delta, samp2det);
    end
    
    alphas = atan(xEdges(1:end-1,:)./samp2det);
    phis = atan(yEdges(:,1:end-1)./samp2det);
    dAlpha = diff(alphas,1,2);
    dcosPhi = diff(-cos(phis+pi/2),1,1);
    
    pixArea = dAlpha.*dcosPhi;
    %detectorArea = ;% in units of steradians
    
    pixArea = pixArea./max(pixArea,[],'all','omitnan');
    SACorrection = 1./pixArea;
    
end