function mask = EIGER4M()
% BASED OF EIGER 4M DETECTOR AT P06 (PETRAIII @ DESY) - APRIL 2019
% ------- PURPOSE: -------
% Outputing subpanel mask for the EIGER 4M detector which can be combined
% with an existing mask:
% mask = mask & EIGER4M(); 
%
mask = true(2070,2167);

% % Check dimensions
% wasTransposed = false;
% if size(mask,1) ~= 2070
%    mask = mask.';
%    wasTransposed = true;
% end

% Vertical coordinates
v = [ 256, 259;...
      807, 810;...
     1358,1361;...
     1909,1912];

% Horizontal coordinates
h = [ 256, 259;...
      514, 517;...
      772, 775;...
     1296,1299;...
     1554,1557;...
     1812,1815];
 
% Coordinates for "thick" panel spacings:
v = [v;
    515  551;
    1066 1102;
    1617 1653];
h = [h;
    1031, 1040];

% Mask out the vertical lines
for ii = 1:size(v,1)
    coord = v(ii,:);
    mask(:,coord(1):coord(2)) = false;
end

% Mask out the horizontal lines
for ii = 1:size(h,1)
    coord = h(ii,:);
    mask(coord(1):coord(2),:) = false;
end

% % If the mask was transposed, transpose it back!
% if wasTransposed
%    mask = mask.';
% end

end