function fileContent = read(PONI_FILE_PATH)
	
% 	PONI(1) = 0.09144741204531871; % in meters
% 	PONI(2) = 0.08691428217726348; % in meters
% 	ROT(1) = 0.004861078016557119; % in rad
% 	ROT(2) = -0.00039455468604525417; % in rad
% 	ROT(3) = 1.8208975092471103e-07; % in rad
% 	readPIXSIZE = 75e-6; % in meters
% 	dist = 122*e-3; % in meters
% 	
%	EXAMPLE OF PONI FILE CONTENT:
% 		# Nota: C-Order, 1 refers to the Y axis, 2 to the X axis 
% 		# Calibration done at Tue Feb  4 11:13:47 2020
% 		poni_version: 2
% 		Detector: Eiger4M
% 		Detector_config: {}
% 		Distance: 0.12244520595176446
% 		Poni1: 0.09144741204531871
% 		Poni2: 0.08691428217726348
% 		Rot1: 0.004861078016557119
% 		Rot2: -0.00039455468604525417
% 		Rot3: 1.8208975092471103e-07
% 		Wavelength: 8.156855696714208e-11

	
	fileContent.RAW = {};
	patternExpression = '(?<=\w*: )(+|-)?\d+(\.\d+)?([Ee](+|-)?\d+)?';
% 	ExtractNumber =@(str) str2double(regexp(str,patternExpression,'match','once'));
	
	try
		fid = fopen(PONI_FILE_PATH,'r');
		
	catch ME
		if exist('fid','var')
			fclose(fid);	
		end
		error('Error using fopen(PONI_FILE_PATH), PONI_FILE_PATH = %s',PONI_FILE_PATH)
	end
        while ~feof(fid)
            tline = fgetl(fid);
	    fileContent.RAW = [fileContent.RAW;tline];
	    Number = str2double(regexp(tline,patternExpression,'match','once'));
	    if isnan(Number)
		    continue;
	    end
	    Name = regexp(tline,'\w*','match','once');
	    try
		fileContent.(Name) = Number;
	    catch ME
		    if ~isfield(fileContent,'Errors')
			fileContent.Errors.ME = ME;
		    else
			fileContent.Errors(end + 1).ME = ME;
		    end
		    warning('Some error occured generating the fileContent-struct (see "<Output struct name here>.Errors.ME" field), read line from file was: %s, extracted: name: %s, number: %f',tline,Name,Number)
	    end
        end
        fclose(fid);

end
