function Radius = calculateRadiusBoundaries(CENTER,SAMPLE2DETECTOR,PIXSIZE,DETECTORSIZE,RadiusUnit)
	
	idxRowsY = linspace(0,DETECTORSIZE(1),DETECTORSIZE(1))-CENTER.y;
	idxColsX = linspace(0,DETECTORSIZE(2),DETECTORSIZE(2))-CENTER.x;
	[xscaled,yscaled] = meshgrid(idxColsX,idxRowsY);
	
	distanceToAllPixelCenters = sqrt(xscaled.^2 + yscaled.^2);
	
	Radius.min = floor( min( distanceToAllPixelCenters , [], 'all' ) );
	Radius.max = ceil( max( distanceToAllPixelCenters  , [], 'all' ) );
	Radius.N = Radius.max-Radius.min;
	if strcmp(RadiusUnit,'degrees')
        if numel(PIXSIZE) > 1
            if round(diff(PIXSIZE),14) ~= 0
                disp(PIXSIZE)
                error('Different pixsizes found for detector, as shown above')
            else
                PIXSIZE = PIXSIZE(1);
            end
        end
		Radius.min = MatFRAIA.subfunctions.radius2twotheta(Radius.min, SAMPLE2DETECTOR/PIXSIZE)/pi*180;
		Radius.max = MatFRAIA.subfunctions.radius2twotheta(Radius.max, SAMPLE2DETECTOR/PIXSIZE)/pi*180;
	end
	
end