function outSparse = sparseInSteps(QB,QP,VAL,outputSize,useGPU)
	% Split the sparsematrix generation into N segments:
	if useGPU
		segments = ceil(numel(QB)/1000000);
	else
		segments = ceil(numel(QB)/32000000);
	end
	Qseg = floor(numel(QB)/segments);
	% If gpu is used, then use gpuArray
% 	outSparse = spalloc(outputSize(1),outputSize(2), 0);
	outSparse = spalloc(outputSize(1),outputSize(2), max(numel(QP),numel(QB)));
	if useGPU
		outSparse = gpuArray( outSparse );
	end
	
	
	%%
		for SEGX = 1:segments
			IDXs = [Qseg*(SEGX-1)+1 , Qseg*SEGX];
			X = ezFcn(QB ,IDXs,useGPU);
			Y = ezFcn(QP ,IDXs,useGPU);
			if numel(VAL) == 1
				V = ezFcn(VAL,[1,1],useGPU);
			else
				V = ezFcn(VAL,IDXs,useGPU);
			end
			outSparse = outSparse + sparse(X,Y,V,outputSize(1),outputSize(2));

		end

		if segments*Qseg ~= numel(QB)
			IDXs = [Qseg*segments+1 , numel(QB)];
			X = ezFcn(QB ,IDXs,useGPU);
			Y = ezFcn(QP ,IDXs,useGPU);
			if numel(VAL) == 1
				V = ezFcn(VAL,[1,1],useGPU);
			else
				V = ezFcn(VAL,IDXs,useGPU);
			end
			outSparse = outSparse + sparse(X,Y,V,outputSize(1),outputSize(2));
		end
end

function OUT = ezFcn(X, IDX, useGPU)
	if useGPU
		OUT = gpuArray( X( IDX(1) : IDX(2)) );
	else
		OUT = X( IDX(1) : IDX(2));
	end
end
